Bug 177286 - [PATCH] graphics/l2p: Convert to OptionsNG, fix Master sites
Summary: [PATCH] graphics/l2p: Convert to OptionsNG, fix Master sites
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Nicola Vitale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 21:20 UTC by nemysis
Modified: 2013-08-30 15:10 UTC (History)
1 user (show)

See Also:


Attachments
l2p-1.1.1_3.patch (1.71 KB, patch)
2013-03-22 21:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-22 21:20:00 UTC
- Convert to OptionsNG
- Fix Master sites

Port maintainer (nivit@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-22 21:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-08-30 15:00:32 UTC
Author: nivit
Date: Fri Aug 30 14:00:24 2013
New Revision: 325698
URL: http://svnweb.freebsd.org/changeset/ports/325698

Log:
  - Trim Makefile header  [1]
  - Fix MASTER_SITES  [1]
  - Convert to new options framework  [1]
  - Use the new Uses/(perl5|shebang).mk facilities
  - Fix WWW entry in pkg-descr  [1]
  
  PR:	ports/177286  [1]
  Submitted by:	nemysis

Modified:
  head/graphics/l2p/Makefile   (contents, props changed)
  head/graphics/l2p/pkg-descr   (contents, props changed)

Modified: head/graphics/l2p/Makefile
==============================================================================
--- head/graphics/l2p/Makefile	Fri Aug 30 13:52:43 2013	(r325697)
+++ head/graphics/l2p/Makefile	Fri Aug 30 14:00:24 2013	(r325698)
@@ -1,40 +1,40 @@
-# New ports collection makefile for:	l2p
-# Date created:		2006-03-22
-# Whom:			Nicola Vitale	<nivit@email.it>
-#
 # $FreeBSD$
-#
 
 PORTNAME=	l2p
 PORTVERSION=	1.1.1
 PORTREVISION=	3
 CATEGORIES=	graphics print perl5
-MASTER_SITES=	http://www.redsymbol.net/software/l2p/dist/ \
-		http://nivi.interfree.it/distfiles/${PORTNAME}/
+MASTER_SITES=	http://static.redsymbol.net/software/l2p/dist/ \
+		http://nivit.altervista.org/FreeBSD/ports/distfiles/
 
 MAINTAINER=	nivit@FreeBSD.org
 COMMENT=	Create PNG images from LaTeX math expressions
 
 RUN_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
 
-USE_PERL5_RUN=	yes
-USE_ZIP=	yes
-USE_TEX=	latex dvipsk
 NO_BUILD=	yes
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+OPTIONS_DEFINE=	DOCS
 
 PLIST_FILES=	bin/l2p
 PORTDOCS=	l2p.txt l2p.html
 
-post-patch:
-	@${REINPLACE_CMD} -e '1s|.*|#!${PERL} -w|' ${WRKSRC}/${PORTNAME}
+SHEBANG_FILES=	${WRKSRC}/${PORTNAME}
+
+USE_PERL5=	run
+USE_TEX=	latex dvipsk
+USE_ZIP=	yes
+USES=		perl5 shebangfix
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+.include <bsd.port.options.mk>
 
 do-install:
-	@${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-.if !defined(NOPORTDOCS)
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
-	@cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/graphics/l2p/pkg-descr
==============================================================================
--- head/graphics/l2p/pkg-descr	Fri Aug 30 13:52:43 2013	(r325697)
+++ head/graphics/l2p/pkg-descr	Fri Aug 30 14:00:24 2013	(r325698)
@@ -1,4 +1,3 @@
 A command-line program to create PNG images from LaTeX math expressions.
 
-Author:	Aaron Maxwell <amax@redsymbol.net>
-WWW:	http://www.redsymbol.net/software/l2p/
+WWW: http://www.redsymbol.net/software/l2p/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2013-08-30 15:00:34 UTC
State Changed
From-To: open->closed

Committed, thanks!